#ifndef _NZG_IFACE
#define _NZG_IFACE 1


#include "nzg_global.h"
#define MSGSPACE_DEFAULT_MODE 0600

typedef char * msgSpaceId;
typedef char * msgSpaceListElemId;
typedef char * msgSpacePoolDataId;
typedef char * msgSpacePoolId;
typedef char * msgSpaceQueueDataId;
typedef char * msgSpaceQueueId;

typedef struct MsgPool {
  msgSpacePoolId id;
  int bufferNb;
  int bufferSize;
  /* pid[] */
  int allocDispBuffer;
  int allocOverload
  /* liste des processus demandeurs */ 
} msgPool;

typedef struct MsgSpace {
  msgSpaceId id;
  int poolNb;
  int queueNb;
  /* TODO: queueId */
  int pid; 
  msgSpacePoolDataId poolDataId;
} msgSpace;



typedef struct MsgSpaceListElem {
  void * id;
  int ownerPid;
  /* struct msgSpaceListElem * next; */
  msgSpaceListElemId next;
} * msgSpaceList, msgSpaceListElem;


#endif
/* */
